[问题]求助!从7.04升级到7.10时出错

为当前最终发行版之前的所有版本提供支持
回复
miniphoon
帖子: 20
注册时间: 2007-05-23 17:27
送出感谢: 0
接收感谢: 0
联系:

[问题]求助!从7.04升级到7.10时出错

#1

帖子 miniphoon » 2007-10-21 20:37

通过更新管理器升级时老是出现“升级时出错”
Failed to fetch http://security.ubuntu.com/ubuntu/dists ... ty/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/feisty/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... ed/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... ts/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... es/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
请问该如何解决?修改软件源吗?
miniphoon
帖子: 20
注册时间: 2007-05-23 17:27
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 miniphoon » 2007-10-22 18:44

更换软件源不行,从alterlate光盘启动出错:
无法计算升级

在计算升级时遇到一个无法解决的问题。

请汇报这个有关 'update-manager' 的错误,并且将 /var/log/dist-upgrade/ 中的文件包含在错误报告中。
删除wine也不行。
是bug吗?
miniphoon
帖子: 20
注册时间: 2007-05-23 17:27
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 miniphoon » 2007-10-22 18:53

终端升级出现:
无法下载 http://debian.linux.org.tw/ubuntu/dists/feisty/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
无法下载 http://debian.linux.org.tw/ubuntu/dists ... ty/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
无法下载 http://debian.linux.org.tw/ubuntu/dists ... ed/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
无法下载 http://debian.linux.org.tw/ubuntu/dists ... ts/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
无法下载 http://debian.linux.org.tw/ubuntu/dists ... es/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
正在读取软件包列表... 完成
W: Duplicate sources.list entry cdrom://Ubuntu 7.04 _Feisty Fawn_ - Release i386 (20070415) feisty/main Packages (/var/lib/apt/lists/Ubuntu%207.04%20%5fFeisty%20Fawn%5f%20-%20Release%20i386%20(20070415)_dists_feisty_main_binary-i386_Packages)
W: Duplicate sources.list entry cdrom://Ubuntu 7.04 _Feisty Fawn_ - Release i386 (20070415) feisty/restricted Packages (/var/lib/apt/lists/Ubuntu%207.04%20%5fFeisty%20Fawn%5f%20-%20Release%20i386%20(20070415)_dists_feisty_restricted_binary-i386_Packages)
W: 您可能需要运行 apt-get update 来解决这些问题
E: 有一些索引文件不能下载,它们可能被忽略了,也可能转而使用了旧的索引文件
miniphoon
帖子: 20
注册时间: 2007-05-23 17:27
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 miniphoon » 2007-10-22 19:09

升级时出错
升级时候出错。这通常是一些网络问题,请检查你的网络连接后再试。
Failed to fetch http://debian.linux.org.tw/ubuntu/dists/feisty/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://debian.linux.org.tw/ubuntu/dists ... ty/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://debian.linux.org.tw/ubuntu/dists ... ed/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://debian.linux.org.tw/ubuntu/dists ... ts/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://debian.linux.org.tw/ubuntu/dists ... es/Release Unable to find expected entry multiverse</address>/binary-i386/Packages in Meta-index file (malformed Release file?)
应该不是网络问题吧??
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

#5

帖子 leeaman » 2007-10-22 19:13

把源文件的feisty 改成 gutsy

代码: 全选

sudo apt-get update
sudo apt-get dist-upgrade
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
头像
forrid
帖子: 659
注册时间: 2007-04-23 17:40
送出感谢: 0
接收感谢: 0

#6

帖子 forrid » 2007-10-22 19:18

feisty的源?是不是应该换成gusty的?

吾生也有涯,而知也无涯,以有涯随无涯,SB啊~~~~~~~~~~
miniphoon
帖子: 20
注册时间: 2007-05-23 17:27
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 miniphoon » 2007-10-23 15:36

leeaman 写了:把源文件的feisty 改成 gutsy

代码: 全选

sudo apt-get update
sudo apt-get dist-upgrade
更换源文件也不行啊!都是获取文件失败!!
到底是什么原因啊??
回复

回到 “老旧版本支持”